Get a single prompt's metrics row
curl --request GET \
--url https://core.cognizo.ai/api/v2/brands/{brand_id}/prompts/{prompt_id}/{region_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://core.cognizo.ai/api/v2/brands/{brand_id}/prompts/{prompt_id}/{region_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://core.cognizo.ai/api/v2/brands/{brand_id}/prompts/{prompt_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"topic_name": "<string>",
"topic_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country_code": "<string>",
"visibility": 123,
"mentioned": true,
"last_run": "<string>",
"citation_share": 123,
"citation_share_diff": 123,
"ads": [
{
"ad_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advertiser_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advertiser_name": "<string>",
"advertiser_domain": "<string>",
"appearance_count": 123,
"prompt_count": 123,
"title": "<string>",
"body": "<string>",
"image_url": "<string>",
"target_url": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"visibility_diff": 123,
"sentiment": 123,
"sentiment_diff": 123,
"top_competitors": [
{
"id": "<string>",
"name": "<string>",
"visibility": 123,
"domain": "<string>",
"sentiment": 123,
"visibility_diff": 123,
"sentiment_diff": 123
}
],
"volume": 123,
"volume_confidence": 123,
"volume_change": 123,
"volume_change_percent": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Prompts
Get a single prompt's metrics row
Same computation as the prompts list, for one (prompt_id, region_id) pair.
GET
/
api
/
v2
/
brands
/
{brand_id}
/
prompts
/
{prompt_id}
/
{region_id}
Get a single prompt's metrics row
Authorizations
Path Parameters
Query Parameters
Found-brand restriction (legacy filter[brands]). Narrows visibility to these found_brand_ids.
Provider restriction (legacy filter[providers]).
Include soft-deleted prompt varieties (legacy filter[is_deleted]). Default false.
Response
prompt row
Show child attributes
Show child attributes
⌘I

